<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.web.work.mapper.BannerMapper">
    
    <select id="selectList" resultType="com.ruoyi.web.work.domain.Banner">
        select * from tb_banner
        <where>  
            <if test="title != null  and title != ''"> and title = #{title}</if>
            <if test="pic != null  and pic != ''"> and pic = #{pic}</if>
            <if test="types != null  and types != ''"> and types = #{types}</if>
            <if test="contentId != null  and contentId != ''"> and content_id = #{contentId}</if>
            <if test="contentTitle != null  and contentTitle != ''"> and content_title = #{contentTitle}</if>
            <if test="state != null "> and state = #{state}</if>
            <if test="orderNum != null "> and order_num = #{orderNum}</if>
        </where>
    </select>

</mapper>